<template>
  <div>
    <!-- toolbar -->
    <TextToolbar  v-bind="$props" />
    
    <!-- input -->
    <div class="flex items-center mb-3">
      <TInput 
        v-model="text" 
        :class="{'font-bold': (text != '' && element.config.fontStyle.includes('bold')), 'italic':(text != '' && element.config.fontStyle.includes('italic'))}" 
        :style="{fontFamily: element.config.fontFamily}" :placeholder="element.config.placeholder" 
        @input="updateText" 
        :disabled="!item.isMaster && element.isSlave" />
      <TCheckbox 
        class="ml-4" 
        :disabled="!item.isMaster" 
        :checked="isSlaveOrMaster" 
        @input="toogleMaster"/>
    </div>
  </div>
</template>

<script src="./edit-element-text.js" />